<?php
$jahrgang=$_COOKIE["jahrgang"];
/*
# Fuer debugging
error_reporting(E_ALL);
ini_set('display_errors', 1);
#echo __LINE__."<br>";
*/
include_once 'classes/TestProjektSmarty.class.php';
$smarty = new Smarty();
require_once("config.inc.php");
$template = "standard";
$templatename = substr(basename($_SERVER['PHP_SELF']),0,-3)."html";
require_once "language/german.inc.php";
require_once("func_rollenrechte.php");


// Rechteüberprüfung
#$db = dbconnect();
if ($user_admin == ""){ require("index.php"); exit;} //Wenn man nicht angemeldet ist, darf man nicht auf die Seite
if(!rore($user_admin,'e_lzul','RE')){echo "Keine Rechte";exit;}
// Rechteüberprüfung ende

#if($jahrgang == ""){
#  echo "Bitte zuerst <a href='jahrgang.php'>Jahrgang</a> w&auml;hlen!";
#  exit;
#}
session_start();



if(isset($_GET['action'])){
  $action = $_GET['action'];
}else{
  $action = '';
}

if($action == ''){
    #$db = dbconnect();
    $query = "SELECT did, doz_titel, doz_vorname, doz_name
                FROM prog_tmp_professor
               ORDER BY doz_name ASC";
    $result = $db->query( $query)
              or die ("Cannot execute query");

    while ($row = $result->fetch_array()){
      $value_prof[] = $row;
    }
    $smarty->assign('table_data', $value_prof);
}

if($action == 'lzulerf'){
  
  if(isset($_POST['prof'])){
    $prof = $_POST['prof'];
    $_SESSION["lb_bz_did"] = $prof;
    $_SESSION["lb_bz_status"] = 'neu';
  }else{
    $prof = $_SESSION['lb_bz_did'];
    
    if(isset($_GET['did'])){
      $prof =  $_GET['did'];
      $_SESSION["lb_bz_did"] = $prof;
      $_SESSION["lb_bz_status"] = 'neu';
      unset($_SESSION['lb_bz_lbbzid']);
    }
    
  }

  if(isset($_GET['edit'])){
   $_SESSION["lb_bz_status"] = 'edit';
   $lbbzid = $_GET['edit'];
   $_SESSION["lb_bz_lbbzid"] = $lbbzid;
  }
  
  if($_GET['editende']==1){
  # Editieren ist beendet, als ein update auf einen Datensatz. Dann ist der status wieder Neu, damit wird wieder ein Insert durchgeführt
    $_SESSION["lb_bz_status"] = 'neu';
  }
  
  $result = $db->query("SELECT did, doz_titel, doz_vorname, doz_name
                          FROM prog_tmp_professor
                         WHERE did = $prof
                         ORDER BY doz_name ASC");
  $row = $result->fetch_array();
  
  
  $smarty->assign('lb_bz_profname', "$row[doz_titel] $row[doz_vorname] $row[doz_name]");
  
  # --- Wenn Werte editiert werden ------------
  if($_SESSION["lb_bz_status"] == 'edit'){
    $result_edit = $db->query("SELECT date_format(startdat, '%d') startdat_tag
                                     , date_format(startdat, '%m') startdat_mon
                                     , date_format(startdat, '%Y') startdat_jahr
                                     , wert
                                     , anpassung
                                     , date_format(befende, '%d') befende_tag
                                     , date_format(befende, '%m') befende_mon
                                     , date_format(befende, '%Y') befende_jahr
                                     , date_format(enddat, '%d') enddat_tag
				     , date_format(enddat, '%m') enddat_mon
                                     , date_format(enddat, '%Y') enddat_jahr
                                 FROM prog_lb_bz
                                WHERE lbbzid = $lbbzid");
    $row_edit = $result_edit->fetch_array();
    $smarty->assign('lb_bz_startdat_tag', "$row_edit[startdat_tag]");
    $smarty->assign('lb_bz_startdat_mon', "$row_edit[startdat_mon]");
    $smarty->assign('lb_bz_startdat_jahr', "$row_edit[startdat_jahr]");
    $smarty->assign('lb_bz_wert', "$row_edit[wert]");
    $smarty->assign('lb_bz_anpassung', "$row_edit[anpassung]");
    $smarty->assign('lb_bz_befende_tag', "$row_edit[befende_tag]");
    $smarty->assign('lb_bz_befende_mon', "$row_edit[befende_mon]");
    $smarty->assign('lb_bz_befende_jahr', "$row_edit[befende_jahr]");
    $smarty->assign('lb_bz_enddat_tag', "$row_edit[enddat_tag]");
    $smarty->assign('lb_bz_enddat_mon', "$row_edit[enddat_mon]");
    $smarty->assign('lb_bz_enddat_jahr', "$row_edit[enddat_jahr]");
  
  }else{
    $smarty->assign('lb_bz_anpassung', "Y");
  }
  # --- Wenn Werte editiert werden Ende -------
  
  # --- Gespeicherte Bezüge ausgeben ----------
  
    $query2 = "SELECT lbbzid
                   , date_format(startdat, '%d.%m.%Y') startdat_form
                   , date_format(befende, '%d.%m.%Y') befende_form
                   , date_format(enddat, '%d.%m.%Y') enddat_form
                   , replace(wert,'.',',') wert
                   , anpassung
                   , did
                FROM prog_lb_bz
               WHERE did = $prof
               ORDER BY startdat ASC";
    $result2 = $db->query( $query2)
              or die ("Cannot execute query2");

    while ($row2 = $result2->fetch_array()){
    
      if($row2['anpassung'] == 'Y'){
        $anpassung = 'Ja';
      }else{
        $anpassung = 'Nein';
      }
      $row2['anpassung'] = $anpassung;
      $value_lbzul[] = $row2;
    }
    $smarty->assign('table_data2', $value_lbzul);
  
  
  # --- Gespeicherte Bezüge Ende -----


}

   
if($action == 'save'){
  $prof = $_SESSION["lb_bz_did"];
  $startdat = $_POST['jahr1']."-".$_POST['mon1']."-".$_POST['tag1'];
  $befende = $_POST['jahr2']."-".$_POST['mon2']."-".$_POST['tag2'];
  $enddat = $_POST['jahr3']."-".$_POST['mon3']."-".$_POST['tag3'];
  $wert  = $_POST['wert'];
  $anpassung  = $_POST['anpassung'];
  $modify_date = date("Y-m-d H:i:s");
  
  if($_SESSION["lb_bz_status"] == 'neu'){
    $result = $db->query("INSERT INTO prog_lb_bz (startdat, befende, enddat, wert, anpassung, did, modify_date) VALUES ('$startdat', '$befende', '$enddat', '$wert', '$anpassung', $prof, '$modify_date')");
  }
  
  if($_SESSION["lb_bz_status"] == 'edit'){
    $lbbzid = $_SESSION["lb_bz_lbbzid"];
    $result = $db->query("UPDATE prog_lb_bz 
                             SET startdat   = '$startdat'
                                , befende   = '$befende'
                                , enddat    = '$enddat'
                                , wert      = '$wert'
                                , anpassung = '$anpassung'
                                , modify_date = '$modify_date'
                           WHERE lbbzid = $lbbzid
                         ");
    
    unset($_SESSION['lb_bz_lbbzid']);
  }
  
  # Dann bekommts beim refresh den status neu, also es wird beim Abschicken ein Insert gemacht
  $editende=1;
  echo "<meta http-equiv=\"refresh\" content=\"2; URL=" . $_SERVER['PHP_SELF'] . "?action=lzulerf&prof=$prof&editende=$editende\">";
}

if($action == 'del'){
  $prof = $_SESSION["lb_bz_did"];
  $lbbzid = $_GET['lbbzid'];
  
  $result = $db->query("DELETE FROM prog_lb_bz 
                         WHERE lbbzid=$lbbzid");

  
  # Dann bekommts beim refresh den status neu, also es wird beim Abschicken ein Insert gemacht
  $editende=1;
  echo "<meta http-equiv=\"refresh\" content=\"0; URL=" . $_SERVER['PHP_SELF'] . "?action=lzulerf&prof=$prof&editende=$editende\">";
}

$smarty->assign('action', "$action");
$smarty->display("$template/$templatename");
?>